%define prerelease pre2

Name:		olpc-os-builder
Version:	3.0.0
Release:	0.4.%{prerelease}%{?dist}
Summary:	A development tool to build and customize OLPC OS images

Group:		Development/System
License:	GPLv2+
URL:		http://wiki.laptop.org/go/OSBuilder
Source0:	http://dev.laptop.org/~dsd/olpc-os-builder/%{name}-%{version}_%{prerelease}.tar.bz2

BuildRequires:	zlib-devel libtomcrypt-devel
Requires:	python-imgcreate bitfrost zip unzip crcimg mtd-utils mtd-utils-ubi wget curl xz-lzma-compat

%description
OLPC OS images for XO laptops are based on Fedora. This tool allows you to
build these OS images as well as applying your own tweaks and customizations.


%prep
%setup -q -n %{name}-%{version}_%{prerelease}


%build
make %{?_smp_mflags} CC="%{__cc} $RPM_OPT_FLAGS"


%install
make install DESTDIR=$RPM_BUILD_ROOT

# all documentation must be installed through the doc section
# (which has the side effect of wiping out any documentation that was installed
#  during this stage)
mv $RPM_BUILD_ROOT/usr/share/doc/* inst-docs


%files
%defattr(-,root,root,-)
%doc inst-docs/*
%{_sbindir}/olpc-os-builder
%{_libexecdir}/olpc-os-builder
%{_datadir}/olpc-os-builder


%changelog
* Wed Apr  6 2011 Peter Robinson <pbrobinson@gmail.com> 3.0.0-0.4.pre2
- build with $RPM_OPT_FLAGS - fixes # 673688

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-0.3.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Daniel Drake <dsd@laptop.org> 3.0.0-0.2.pre2
- Latest version

* Thu Nov 11 2010 Daniel Drake <dsd@laptop.org> 3.0.0-0.1.pre1
- Initial release

